=== debian/control ===
Source: ros-indigo-socketcan-interface
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, linux-libc-dev, ros-indigo-catkin, ros-indigo-class-loader, ros-indigo-rosunit
Homepage: http://wiki.ros.org/socketcan_interface
Standards-Version: 3.9.2

Package: ros-indigo-socketcan-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, linux-libc-dev, ros-indigo-class-loader
Description: This package contains a generic CAN interface description with helpers for filtering and driver implementation.
 Further a socketcan implementation based on boost::asio is included.
